Subject: Birds 14.3 and 16.0

From: Stephen Peters <[email-masked]>
Date: Thu, 26 May 1994 08:28:16 -0700

Hello Fellow IBISans --

	Here are the Birds from John Keifer dealing with measurment
conditions and the Pin Extention addiditon. (My apologies to those
who recieved this mailing twice.)

		Regards,
		Stephen Peters

              Buffer Issue Resolution Document  (BIRD)

BIRD ID#: 14.3
ISSUE TITLE:   Adding four new sub-parameters to [Model]
REQUESTER:     John Keifer at Intel

DATE SUBMITTED:                       May 20, 1994
DATE ACCEPTED BY IBIS OPEN FORUM:

************************************************************************* 
*************************************************************************

STATEMENT OF THE ISSUE:

It is desirable to have four new sub-parameters added to a
[Model] in order to fully represent the characteristics of a given component's 
I/O cells. These sub-parameters are desirable for the
user of the IBIS [Models] who wishes to perform board level simulations.

*************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

Four new sub-parameters, Cref (a reference specload), Rref (a
reference resistance), Vref (a reference voltage), and Vmeas (a test voltage), 
are added to a [Model].  These sub-parameters are also optional.

The [Model] section should be changed as shown below, only changes are listed.
|*************************************************************************
|
|      Keyword: [Model]
|         .
|         .
|   Sub-Params:   ..., Vmeas, Rref, Vref, Cref 
|
|  Other Notes:   ...   Component timings are usually specified into a 
|               reference capacitance that can be listed as Cref, or into
|               a reference resistance, Rref, pulled to a reference voltage, 
|               Vref.  Vmeas is the test voltage at a driver that timings are 
|               specified to.  (This is usually around the 50% level of the
|               voltage thresholds.  For example, TTL=1.5V, CMOS=2.5V.) 
|
|*************************************************************************

Example:

[Model]         IB080812
Model_type      I/O
Polarity        Non-Inverting
Enable          Active-High
| Signals       A[2-17]
Vinl = 0.8V
Vinh = 2.0V
Vmeas=1.5V            |Test voltage timings are specified to
Rref=NA               |Reference resistance
Vref=NA               |Reference voltage
Cref=50pF             |Reference capacitance timings are specified into

The Vmeas, Rref, Vref, and Cref sub-parameters would be placed inside each 
[Model] file, after Vinh.

Pictorial description:

 _________
|         |
|      |\ |            Rref
|Driver| \|------|----/\/\/----o Vref 
|      | /|     _|_
|      |/ |     --- Cref
 ---------       |
                ---

*************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

All of these added [Model] sub-parameters, Vmeas, Rref, Vref, and
Cref are standard data available in data books.  Allowing the specification of 
Vmeas, Rref, Vref, and Cref enhances the usability of an IBIS model by providing
key parameters for simulation.

*************************************************************************

ANY OTHER BACKGROUND INFORMATION:

*************************************************************************

To IBIS Committee:

The only real problems I have heard that anybody has with this Bird is 
that it will be difficult for simulation vendors to implement quickly, and that 
those just starting to make and use IBIS [Model]s might presently get confused 
with this new keyword.  However, everyone, at the same time, seems to agree that
this is a good Bird for those making and using IBIS [Model]s from the 
perspective of having a smaller .IBS file therefore making it quicker to create,
more efficient, and using up less disk space.  Am I correct in assuming that 
everyone would generally agree that this would be a good BIRD to pass for the 
next IBIS version, but IBIS version 2.0 is too soon?  If this is true, this BIRD
should just be held out until the final IBIS 2.0 is official, and then passed 
for the next IBIS version instead of getting thrown out completely.

John

             Buffer Issue Resolution Document  (BIRD)

BIRD ID#: 16
ISSUE TITLE:   Adding an override section for [Model] sub-parameters
REQUESTER:     John Keifer at Intel

DATE SUBMITTED:                       May 23, 1994
DATE ACCEPTED BY IBIS OPEN FORUM:

************************************************************************* 
*************************************************************************

STATEMENT OF THE ISSUE:

It is desirable to have a new optional keyword added to
the top of an .IBS file in order to parameterize the sub-parameters of a [Model]
so that each time a [Model] is used with a different sub-parameter a new [Model]
would not have to be made.

*************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

A new keyword, [PIN EXTENSION 1], is added to the .IBS file.  The
keyword [PIN EXTENSION 1] and all of its sub-parameters are optional.  The 
sub-parameters under this keyword override the sub-parameters of a
[Model].  Only those pins should be listed in the [PIN EXTENSION 1] section 
which need to override the default sub-parameters of a [Model].  All 
sub-parameters must be filled in on a line either with NA or a value.

|*************************************************************************
|
|    Keyword:    [PIN EXTENSION 1]
|   Required:    No
|Description:    Used to list pin-level specifications that differ from
|                the more global sub-params listed under [Model] below.
| Sub-Params:    Vinl, Vinh, Vmeas, Rref, Vref, Cref, C_comp
|Usage Rules:    Only pins that have values different from the default
|                values specified in [Model] sub-parameters should be
|                listed.  Sub-parameters not used on a line must be
|                filled in with NA.
|                The [PIN EXTENSION 1] section consists of five characters
|                for a pin number, six for Vinl, six for Vinh, six for Vmeas,
|                five for Rref, five for Vref, five for Cref, and six
|                for each of the three sub-parameters in C_comp.  These
|                three sub-parameters represent the following:  typ, min,
|                and max.  All sub-parameters must be separated by at
|                least one blank space.  This comes to a total of
|                sixty-six characters.
|
|*************************************************************************

Example:  Pin1 = I/O, Pin4 = Output/3-state, Pin9 = Input

[PIN EXTENSION 1]
|                                            C_comp
Pin   Vinl   Vinh   Vmeas  Rref  Vref  Cref  typ    min    max
1     0.8V   2.0V   1.5V   NA    NA    50pF  4.5pF  3.0pF  6.0pF
4     NA     NA     2.5V   NA    NA    30pF  NA     NA     NA
9     1.5V   3.5V   NA     NA    NA    NA    NA     NA     NA
12    NA     NA     NA     NA    NA    NA    NA     NA     NA
13    NA     NA     NA     50    5V    NA    NA     NA     NA

This section will be placed directly underneath the pin list (the [Pin] keyword 
section).

*************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

Presently if a particular [Model] needs to be used for a couple 
of buffers in which the only differences are in the Vinl, Vinh, or C_comp 
sub-parameters, separate [Model]s have to be made.  With the [PIN EXTENSION 1] 
keyword, only one [Model] has to be made with the sub-parameters being passed 
down from the [PIN EXTENSION 1] section.
This feature will reduce the size of the .IBS file.  The [PIN EXTENSION 1] 
section allows separating the details from the core of a [Model], and at the 
same time, gives the user the sub-parameters he needs.  The
[PIN EXTENSION 1] keyword is also optional and hence fully backward compatible.

*************************************************************************

ANY OTHER BACKGROUND INFORMATION:

*************************************************************************

------- End of Unsent Draft